Description

For whatever reason the "Groups" are not available in the GRSF catalogue of the GRSF PRE VRE 

https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue (please see also attached screenshot)

Is it possible to activate such groups? (similarly to GRSF Admin and GRSF VREs).

It is not easy to validate content without that functionality.

With thanks in advance

@bracken.vanniekerk@fao.org

@marketak@ics.forth.gr 

History

#1 - Nov 06, 2020 11:08 AM - Aureliano Gentile

- Subject changed from Activate "Groups"in GRSF PRE VRE to Activate "Groups" in GRSF PRE VRE

#2 - Nov 06, 2020 05:47 PM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Luca Frosini

I believe during the publishing stage of the GRSF-PRE records there was a problem and the GROUPS were not created.

I'm assigning the ticket to @luca.frosini@isti.cnr.it to check on this...

#3 - Dec 17, 2020 08:41 AM - Luca Frosini

@marketak@ics.forth.gr can you please provide a record to make some tests?

#4 - Dec 17, 2020 08:41 AM - Luca Frosini

The JSON you submit I mean

#5 - Dec 17, 2020 09:47 AM - Luca Frosini

@roberto.cirillo@isti.cnr.it can you please enable for me remote debugging on smart-grsf-d4s.d4science.org

#6 - Dec 17, 2020 09:56 AM - Yannis Marketakis

- File 2a88cc94-788c-3212-a25b-dc347c5f30bb.json added

Luca Frosini wrote:

@marketak@ics.forth.gr can you please provide a record to make some tests?

 Attached you can find the JSON contents of a GRSF Stock record

#7 - Dec 17, 2020 10:08 AM - Luca Frosini

- Status changed from New to In Progress

@marketak@ics.forth.gr thanks a lot

#8 - Dec 17, 2020 12:29 PM - Luca Frosini

2020-12-17 12:26:29,604 [Thread-642745] WARN  AssociationToGroupThread: The user grsf.publisher has not enough

 privileges to associate the dataset into group OR the group grsf-marine-resource doesn't exist
#9 - Dec 17, 2020 12:52 PM - Luca Frosini

- Assignee changed from Luca Frosini to Francesco Mangiacrapa

@francesco.mangiacrapa@isti.cnr.it can you please check the grsf.publisher user rights on CKAN?

#10 - Dec 17, 2020 02:41 PM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Luca Frosini

The grsf_publisher is ADMIN for all the Organizations and I just added it as sysadmin. Luca, try again and let me know...

#11 - Dec 17, 2020 06:07 PM - Luca Frosini

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I discovered that the service does not create the groups. It just adds the item to existing ones.

The good news is that I created the group tree cloning the GRSF one.

The bad news is that we need to update/create all the records again to associate the items to the created groups.

@marketak@ics.forth.gr  how do you want to proceed?

#12 - Dec 18, 2020 08:09 AM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it

It's OK I can update those records.

Let me know if I have the green light to start updating them.

#13 - Dec 18, 2020 10:04 AM - Luca Frosini

Yes, you have the green light.

Thanks a lot, and sorry for the inconveniences.

I found the reason why the service does not create automatically the groups.

The are hierarchical and the service can't do it automatically if it does not retrieve the hierarchy.

If we have to hard code the hierarchy we can just create them when we initialize the catalogue.

#14 - Dec 18, 2020 10:04 AM - Luca Frosini

- Status changed from Feedback to Closed
